Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.rule.model
Interface RulePackage.Literals

Enclosing interface:
  RulePackage

    public static interface RulePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `AND_CONDITION` The meta object literal for the '`And Condition`' class.
`static org.eclipse.emf.ecore.EReference` | `AND_CONDITION__CONDITIONS` The meta object literal for the 'Conditions' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `CONDITION` The meta object literal for the '`Condition`' class.
`static org.eclipse.emf.ecore.EClass` | `ENABLE_RULE` The meta object literal for the '`Enable Rule`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ENABLE_RULE__DISABLE` The meta object literal for the 'Disable' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `LEAF_CONDITION` The meta object literal for the '`Leaf Condition`' class.
`static org.eclipse.emf.ecore.EReference` | `LEAF_CONDITION__DOMAIN_MODEL_REFERENCE` The meta object literal for the 'Domain Model Reference' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `LEAF_CONDITION__EXPECTED_VALUE` The meta object literal for the 'Expected Value' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_CONDITION__VALUE_DOMAIN_MODEL_REFERENCE` The meta object literal for the 'Value Domain Model Reference' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `OR_CONDITION` The meta object literal for the '`Or Condition`' class.
`static org.eclipse.emf.ecore.EReference` | `OR_CONDITION__CONDITIONS` The meta object literal for the 'Conditions' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `RULE` The meta object literal for the '`Rule`' class.
`static org.eclipse.emf.ecore.EReference` | `RULE__CONDITION` The meta object literal for the 'Condition' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SHOW_RULE` The meta object literal for the '`Show Rule`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SHOW_RULE__HIDE` The meta object literal for the 'Hide' attribute feature.

Field Detail

### CONDITION

    static final org.eclipse.emf.ecore.EClass CONDITION

  The meta object literal for the '`Condition`' class.

  See Also:
    `ConditionImpl`, `RulePackageImpl.getCondition()`

### LEAF_CONDITION

    static final org.eclipse.emf.ecore.EClass LEAF_CONDITION

  The meta object literal for the '`Leaf Condition`' class.

  See Also:
    `LeafConditionImpl`, `RulePackageImpl.getLeafCondition()`

### LEAF_CONDITION__EXPECTED_VALUE

    static final org.eclipse.emf.ecore.EAttribute LEAF_CONDITION__EXPECTED_VALUE

  The meta object literal for the 'Expected Value' attribute feature.

### LEAF_CONDITION__DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EReference LEAF_CONDITION__DOMAIN_MODEL_REFERENCE

  The meta object literal for the 'Domain Model Reference' containment reference feature.

### LEAF_CONDITION__VALUE_DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EReference LEAF_CONDITION__VALUE_DOMAIN_MODEL_REFERENCE

  The meta object literal for the 'Value Domain Model Reference' containment reference feature.

  Since:
    1.5

### OR_CONDITION

    static final org.eclipse.emf.ecore.EClass OR_CONDITION

  The meta object literal for the '`Or Condition`' class.

  See Also:
    `OrConditionImpl`, `RulePackageImpl.getOrCondition()`

### OR_CONDITION__CONDITIONS

    static final org.eclipse.emf.ecore.EReference OR_CONDITION__CONDITIONS

  The meta object literal for the 'Conditions' containment reference list feature.

### AND_CONDITION

    static final org.eclipse.emf.ecore.EClass AND_CONDITION

  The meta object literal for the '`And Condition`' class.

  See Also:
    `AndConditionImpl`, `RulePackageImpl.getAndCondition()`

### AND_CONDITION__CONDITIONS

    static final org.eclipse.emf.ecore.EReference AND_CONDITION__CONDITIONS

  The meta object literal for the 'Conditions' containment reference list feature.

### RULE

    static final org.eclipse.emf.ecore.EClass RULE

  The meta object literal for the '`Rule`' class.

  See Also:
    `RuleImpl`, `RulePackageImpl.getRule()`

### RULE__CONDITION

    static final org.eclipse.emf.ecore.EReference RULE__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### SHOW_RULE

    static final org.eclipse.emf.ecore.EClass SHOW_RULE

  The meta object literal for the '`Show Rule`' class.

  See Also:
    `ShowRuleImpl`, `RulePackageImpl.getShowRule()`

### SHOW_RULE__HIDE

    static final org.eclipse.emf.ecore.EAttribute SHOW_RULE__HIDE

  The meta object literal for the 'Hide' attribute feature.

### ENABLE_RULE

    static final org.eclipse.emf.ecore.EClass ENABLE_RULE

  The meta object literal for the '`Enable Rule`' class.

  See Also:
    `EnableRuleImpl`, `RulePackageImpl.getEnableRule()`

### ENABLE_RULE__DISABLE

    static final org.eclipse.emf.ecore.EAttribute ENABLE_RULE__DISABLE

  The meta object literal for the 'Disable' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.